

//----------------- WIFI ------------------

// network credentials
#define WIFI_SSID "wifissid"
#define WIFI_PASSWORD "wifipassword"

//----------------- BLUETOOTH ------------------
#define BLUETOOTH_DEVICE_NAME "SEM_ESP32"


//----------------- FIREBASE ------------------

//project API Key
#define API_KEY "API_KEY"

//Authorized Username and Corresponding Password
#define USER_EMAIL "useremail"
#define USER_PASSWORD "password"

//database URL
#define DATABASE_URL "https://sleep-environment-monitor-default-rtdb.europe-west1.firebasedatabase.app"

//Database base paths
#define USERS_DATA_BASE_PATH "UsersData/"
#define RECORDING_STATE_BASE_PATH "recordStatus/recordingInProgress"
#define CONFIRMATION_BASE_PATH "recordStatus/confirmed/"
#define RECORDS_NUMBER_BASE_PATH  "records/number/"
#define RECORDS_BASE_PATH "records/"

//Database field names
#define LIGHT_FIELD_NAME "light"
#define TEMPERATURE_FIELD_NAME "temperature"
#define CO2_FIELD_NAME "co2"
#define HUMIDITY_FIELD_NAME "humidity"
#define SOUND_FIELD_NAME "sound"
#define GLOBAL_FIELD_NAME "global"
#define TIMESTAMP_FIELD_NAME "timestamp"

//--------------------------------------------

//------------------ SENSORS ------------------


#define SOUND_OFFSET 50 //the dabble sound meter is displaced

//----------------- BOARD PINS -----------------

#define LED_PIN 5

#define CCS811_WAKE_PIN 32

//--------------------------------------------

//--------------- Run parameters -------------
#define SERIAL_SPEED 115200

// #define TIME_INTERVAL 300000 //five minutes
#define TIME_INTERVAL 10000 //ten seconds
